> ## Documentation Index
> Fetch the complete documentation index at: https://docs.business.blaaiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all banks

> Retrieve all supported banks. Filter by currency or country if desired. Required scope: `bank:read`.



## OpenAPI

````yaml /api-reference/bank/list-openapi.json get /api/external/bank
openapi: 3.1.0
info:
  title: Blaaiz Platform API - List Banks
  version: 1.0.0
  description: Retrieve a list of supported banks with optional filters
servers:
  - url: https://api-prod.blaaiz.com
  - url: https://api-dev.blaaiz.com
security: []
tags:
  - name: Bank
paths:
  /api/external/bank:
    get:
      tags:
        - Bank
      summary: List all banks
      description: >-
        Retrieve all supported banks. Filter by currency or country if desired.
        Required scope: `bank:read`.
      parameters:
        - name: currency
          in: query
          required: false
          description: Filter banks by currency code (e.g., NGN, USD, CAD)
          schema:
            type: string
        - name: country
          in: query
          required: false
          description: Filter banks by country code (e.g., NG, US, CA)
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: country_id
          in: query
          required: false
          description: Filter banks by country identifier
          schema:
            type: string
      responses:
        '200':
          description: Banks retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Bank'
              example:
                - id: bank_123
                  name: 78 Finance Company Limited
                  code: '123456'
                  country:
                    code: NG
                    name: Nigeria
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Invalid or missing access token
      security:
        - oauth2ClientCredentials:
            - bank:read
components:
  schemas:
    Bank:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the bank
        name:
          type: string
          description: Bank name
        code:
          type: string
          description: Bank code
        national_bank_code:
          type:
            - string
            - 'null'
          description: National bank code
        country_id:
          type: string
          description: Country identifier
        country:
          type:
            - object
            - 'null'
          description: Country information for the bank (null when not set)
          properties:
            name:
              type: string
              description: Country name
            code:
              type: string
              description: Two-letter country code (e.g., NG, US)
            short_name:
              type: string
              description: Short country name
            alt_short_name:
              type: string
              description: Alternate short country name
      required:
        - id
        - name
        - code
        - country_id
    Error:
      type: object
      properties:
        message:
          type: string
      required:
        - message
  securitySchemes:
    oauth2ClientCredentials:
      type: oauth2
      description: >-
        Use your OAuth client credentials to obtain a short-lived Bearer token
        from POST /oauth/token.
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            bank:read: Read bank and bank account data.

````